com.holonplatform.vaadin7.navigator.internal

## Class DefaultViewContextField

- java.lang.Object
- - com.holonplatform.vaadin7.navigator.internal.DefaultViewContextField

- All Implemented Interfaces:
    ViewContextField

      public class DefaultViewContextField
      extends Object
      implements ViewContextField

  Default `ViewContextField` implementation.
  Since:
    5.0.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultViewContextField(String contextResourceKey, boolean required, Field field)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContextResourceKey()` Optional context resource key to inject
    `Field` | `getField()` Field reference
    `boolean` | `isRequired()` Whether the context injection is required

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.vaadin7.navigator.internal.ViewContextField

      `build`

- - ### Constructor Detail

    - #### DefaultViewContextField

          public DefaultViewContextField(String contextResourceKey,
                                         boolean required,
                                         Field field)

      Constructor
      Parameters:
        `contextResourceKey` - Context resource key
        `required` - Whether the injection is required
        `field` - Field reference

  - ### Method Detail

    - #### getContextResourceKey

          public String getContextResourceKey()

      Description copied from interface: `ViewContextField`
      Optional context resource key to inject
      Specified by:
        `getContextResourceKey` in interface `ViewContextField`
      Returns:
        Context resource key

    - #### isRequired

          public boolean isRequired()

      Description copied from interface: `ViewContextField`
      Whether the context injection is required
      Specified by:
        `isRequired` in interface `ViewContextField`
      Returns:
        Required, defaults to `true`

    - #### getField

          public Field getField()

      Description copied from interface: `ViewContextField`
      Field reference
      Specified by:
        `getField` in interface `ViewContextField`
      Returns:
        Field

Copyright © 2019 The Holon Platform. All rights reserved.